%{?!with_gdbm: %define with_gdbm 1}
%{?!with_sqlite: %define with_sqlite 0}
%{?!with_mysql: %define with_mysql 0}

Name:           qsf
Version:        1.2.6
Release:        2%{?dist}
Summary:        Quick Spam Filter

Group:          Applications/Internet
License:        Artistic
URL:            http://www.ivarch.com/programs/qsf/
Source0:        http://downloads.sourceforge.net/qsf/qsf-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if %{with_gdbm}
BuildRequires:  gdbm-devel
%endif
%if %{with_sqlite}
BuildRequires:  sqlite2-devel
%endif
%if %{with_mysql}
BuildRequires:  mysql-devel
%endif

%description
Quick Spam Filter (QSF) is an Open Source email classification filter,
designed to be small, fast, and accurate, which works to classify
incoming email as either spam or non-spam.

To recognise spam, QSF strips the text out of the email (using MIME
decoding and HTML stripping) and then splits it into tokens (words,
word pairs, URLs, and so on). These tokens are then looked up in a
database and analysed using the Bayesian technique to see whether the
email should be classified as spam or not.

QSF is designed to be run by an MDA, such as procmail.

%prep
%setup -q

%build
%configure \
%if ! %{with_gdbm}
        --without-gdbm \
%endif
%if ! %{with_sqlite}
        --without-sqlite \
%endif
%if ! %{with_mysql}
        --without-mysql \
%endif
;
make %{?_smp_mflags}

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README doc/COPYING doc/NEWS doc/TODO doc/postfix-howto
%{_bindir}/qsf
%{_mandir}/man1/qsf.1*

%changelog
* Fri May 04 2007 Miroslav Lichvar <mlichvar@redhat.com> 1.2.6-2
- add %%check (#238691)

* Wed May 02 2007 Miroslav Lichvar <mlichvar@redhat.com> 1.2.6-1
- initial release
